opensesh docs

Create an embed widget

POST
/events/{eventId}/widgets

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

eventId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/events/string/widgets" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "view": "sessions"  }'
{  "id": "string",  "createdAt": "string",  "updatedAt": "string",  "eventId": "string",  "name": "string",  "view": "sessions",  "enabled": true,  "options": {    "trackIds": [      "string"    ],    "formatIds": [      "string"    ],    "tagIds": [      "string"    ],    "dayKeys": [      "string"    ],    "theme": "light",    "primaryColor": "string",    "dateFormat": "12h",    "showSpeakerCompany": true,    "showSpeakerTitle": true,    "showSpeakerBio": true,    "showSessionDescription": true,    "showSessionLevel": true,    "showSessionFormat": true,    "showAddToCalendar": true,    "customCss": "string"  }}